subroutine dr_grids()

! draw grid outlines

use pl_arrays
use pl_params
use define_colors

implicit none

integer :: ngrid,ngrids,ng,ic
real :: swx,nex,swy,ney,locx(5),locy(5)

ngrid=f(idfile)%nvgr
ngrids=f(idfile)%ngrids

! Corners of current grids
swx=f(idfile)%xtn(1,ngrid)
swy=f(idfile)%ytn(1,ngrid)
nex=f(idfile)%xtn(f(idfile)%nnxp(ngrid),ngrid)
ney=f(idfile)%ytn(f(idfile)%nnyp(ngrid),ngrid)

call set (px1,px2,py1,py2,swx,nex,swy,ney,1)

! Set line characteristics
call gslwsc(2.5)  ! line and label thickness
ic=22
call coloralias_set(1,'white',ic)
call gsplci(ic)  ! line color
call gstxci(ic)  ! label color

! Draw all nested grids
do ng=1,ngrids
   if( ng > ngrid) then
   print*,'drgrids:',ng,ngrids
      swx=f(idfile)%xtn(1,ng)
      swy=f(idfile)%ytn(1,ng)
      nex=f(idfile)%xtn(f(idfile)%nnxp(ng),ng)
      ney=f(idfile)%ytn(f(idfile)%nnyp(ng),ng)
      locx(1) = swx ; locy(1) = swy
      locx(2) = nex ; locy(2) = swy
      locx(3) = nex ; locy(3) = ney
      locx(4) = swx ; locy(4) = ney
      locx(5) = swx ; locy(5) = swy
      call gpl (5,locx,locy)
   endif
enddo

return
end
