Module var_info

   integer :: vclass

   character(len=24) :: vname, vunits

Contains

   subroutine set_var_info(class,name,units)
   
   implicit none

   integer, optional :: class
   character(len=*), optional :: name, units

   if (present(class))  vclass = class
   if (present(name))   vname  = name
   if (present(units))  vunits = units
   
   return
   end subroutine
   
   !----------------------------------------------
   
   subroutine get_var_info(class,name,units)
   
   implicit none

   integer, optional :: class
   character(len=*), optional :: name, units
   
   if (present(class)) class = vclass
   if (present(name))  name  = vname
   if (present(units)) units = vunits
   
   return
   end subroutine
   
End Module
   
   
