#Makefile Make.hypact

# Define main object file.

MAIN_OBJ = hyp_main.o
MAIN_SRC = $(HYPACT)/hyp_main.f90

# Define objects.

OBJ = $(ARC)($(UTILS_MODS)/an_header.o) \
      $(ARC)($(UTILS_MODS)/rconstants.o) \
      $(ARC)($(HYPACT)/hyp_coms.o) \
      $(ARC)($(HYPACT)/mem_met.o) \
      $(ARC)($(HYPACT)/mem_grid.o) \
      $(ARC)($(HYPACT)/mem_euler.o) \
      $(ARC)($(HYPACT)/mem_scratch.o) \
      $(ARC)($(HYPACT)/mem_all.o) \
      $(ARC)($(HYPACT)/rams_head.o) \
      \
      $(ARC)($(REVU_PL)/rainit.o) \
      $(ARC)($(REVU_PL)/get_data.o) \
      \
      $(ARC)($(HYPACT)/hyp_setup.o) \
      $(ARC)($(HYPACT)/hrgrid.o) \
      $(ARC)($(HYPACT)/hgrid.o) \
      $(ARC)($(HYPACT)/hdriv.o) \
      \
      $(ARC)($(HYPACT)/hadv.o) \
      $(ARC)($(HYPACT)/hadvect.o)  \
      $(ARC)($(HYPACT)/hclustr.o) \
      $(ARC)($(HYPACT)/hediff.o) \
      $(ARC)($(HYPACT)/hemis.o) \
      $(ARC)($(HYPACT)/heuler.o) \
      $(ARC)($(HYPACT)/heuler_init.o) \
      $(ARC)($(HYPACT)/hlag2eul.o) \
      $(ARC)($(HYPACT)/hname.o) \
      $(ARC)($(HYPACT)/hout.o) \
      $(ARC)($(HYPACT)/hout_init.o) \
      $(ARC)($(HYPACT)/hppm.o) \
      $(ARC)($(HYPACT)/hrdanal.o) \
      $(ARC)($(HYPACT)/hsrc.o) \
      $(ARC)($(HYPACT)/hturb.o) \
      $(ARC)($(HYPACT)/hutil.o)
