# Define make (gnu make works best).

MAKE=/usr/bin/make

# RAMS root directory.

RAMS_ROOT=/home/tremback/sw/dist/hyp15

# Versions.

UTILS_VERSION=2.2
RAMS_VERSION=4.4
HYPACT_VERSION=1.5
POST_VERSION=2.3.1

PL_VERSION=1.0

# Source directories.

UTILS_LIB=$(RAMS_ROOT)/src/utils/$(UTILS_VERSION)/lib
UTILS_MODS=$(UTILS_LIB)/modules
UTILS_GDF=$(RAMS_ROOT)/src/utils/$(UTILS_VERSION)/gdf
UTILS_ENV=$(RAMS_ROOT)/src/utils/$(UTILS_VERSION)/env
UTILS_INCS=$(RAMS_ROOT)/src/utils/$(UTILS_VERSION)/include
EFF=$(RAMS_ROOT)/src/utils/$(UTILS_VERSION)/env
DGRIB=$(RAMS_ROOT)/src/utils/$(UTILS_VERSION)/dgrib
NCARGD=$(RAMS_ROOT)/src/utils/$(UTILS_VERSION)/ncargd

MODEL_LIB=$(RAMS_ROOT)/src/rams/$(RAMS_VERSION)/lib
MODEL=$(RAMS_ROOT)/src/rams/$(RAMS_VERSION)/model
ISAN=$(RAMS_ROOT)/src/rams/$(RAMS_VERSION)/isan
MODEL_INCS=$(RAMS_ROOT)/src/rams/$(RAMS_VERSION)/include

HYPACT=$(RAMS_ROOT)/src/hypact/$(HYPACT_VERSION)/model
HYPACT_INCS=$(RAMS_ROOT)/src/hypact/$(HYPACT_VERSION)/include

REVU=$(RAMS_ROOT)/src/post/$(POST_VERSION)/revu
RINGI=$(RAMS_ROOT)/src/post/$(POST_VERSION)/ringi
COMMON=$(RAMS_ROOT)/src/post/$(POST_VERSION)/common
COMMON_MODS=$(COMMON)/modules
POST_INCS=$(RAMS_ROOT)/src/post/$(POST_VERSION)/include

REVU_PL=$(RAMS_ROOT)/src/post/revu_pl/$(PL_VERSION)
