!############################# Change Log ##################################
! 1.0.0
!

!###########################################################################
!  Copyright (C)  2002 - All Rights Reserved
!  ATMET,LLC
!###########################################################################

subroutine continit ()

use pl_params

implicit none

! Basic defaults for plot settings

integer :: i

! set primary var defaults
cvar(1) = 'none'
conttyp(1)='f'
colorbar(1)='b'
conrlo(1)=0.
conrhi(1)=0.
conrinc(1)=0.
icmeth(1)=0
cbias(1)=1.5
ccent(1)=0.
icint(1)=5
icdash(1)=1
cgrad(1)=30.
cthick(1)=1.
icover(1)=1
ichigh(1)=0
icline(1)=0
csize(1)=.01
labcol(1)='lightgray'
fillcols(1,1)='red'
fillcols(2,1)='blue'
fillcols(3,1)='green'

! set wind defaults
cwinds='n'
intwindi=1
intwindj=1
ibscale=3
windcol='yellow'
stemleng=-1.
velomax=0.
headleng=-1.
headleng0=-1.
headang=-1.

! set secondary var defaults
do i=2,maxlayers
   cvar(i)='none'
   conttyp(i)='c'
   colorbar(i)='n'
   conrlo(i)=0.
   conrhi(i)=0.
   conrinc(i)=0.
   icmeth(i)=0
   cbias(i)=1.5
   ccent(i)=0.
   icint(i)=5
   icdash(i)=1
   cgrad(i)=30.
   cthick(i)=1.
   icover(i)=1
   ichigh(i)=0
   icline(i)=0
   csize(i)=.01
   labcol(i)='lightgray'
   fillcols(1,i)='darkgreen'
   fillcols(2,i)='purple'
   fillcols(3,i)='yellow'
enddo

! set LANDMARK defaults
landmark='LANDMARKS'
lmarkers='name'
bufflandmk=0.02
itypelandmk=2
collandmk='lightgray'
sizelandmk=1.0
ilandlab=1
collandlab='lightgray'
sizelandlab=0.008
               
! set slab defaults
ixbeg=0
ixend=0
iybeg=0
iyend=0
iztran=1
iplevel=1000
mfill=1
ibgnd=1
ipinfo=1
ipanl=1
ctime='1'
cgrid='1'

head1='REVU_pl'
revpref='gmeta'
               
return
end
