!
! Copyright (C) 1991-2003  ; All Rights Reserved ; ATMET, LLC
! 
! This file is free software; you can redistribute it and/or modify it under the
! terms of the GNU General Public License as published by the Free Software 
! Foundation; either version 2 of the License, or (at your option) any later version.
! 
! This software is distributed in the hope that it will be useful, but WITHOUT ANY 
! WARRANTY; without even the implied warranty of MERCHANTABILITY or FITNESS FOR A 
! PARTICULAR PURPOSE.  See the GNU General Public License for more details.
!
! You should have received a copy of the GNU General Public License along with this 
! program; if not, write to the Free Software Foundation, Inc., 
! 59 Temple Place - Suite 330, Boston, MA 02111-1307, USA.
!======================================================================================

subroutine hout_init()

use hyp_coms

implicit none

real :: strtim
integer :: ng,ngrid,isstp

   ! first do all the nesting and boundary stuff on the rams grids and
   ! the timestep averaging

if(ieuler==1) then
   ngrid=1
   930 continue
   ng=ngrid
   nndtrat(ng)=1
   isstp=mod(ncnth(ngrid),nndtrat(ngrid))+1
         if(ng /= 1) call es_nstbdriv (ng,isstp)
         call es_scsets (ng)
   939 ncnth(ngrid)=ncnth(ngrid)+1
   940 nnfmh(ngrid)=nnfmh(ngrid)+1
   if(nnfmh(ngrid).gt.ngrh) goto 950
   if(nxtnest(nnfmh(ngrid)).ne.ngrid) goto 940
   ngrid=nnfmh(ngrid)
   945 isstp=mod(ncnth(ngrid),nndtrat(ngrid))+1
         call es_prgintrp (ngrid)
   goto 930
   950 nnfmh(ngrid)=1
   if (ngrid==1) goto 980
   if(ncnth(ngrid).lt.ncnth(nxtnest(ngrid))*nndtrat(ngrid)) goto 930
         call es_nstfeed (ngrid)
         call es_scsets (ng-1)
   ngrid=nxtnest(ngrid)
   goto 940
   980 continue
endif

! calculate averages
print*,'houti:1'
ilavgcall=0
ieavgcall=0
if(ieulout.ge.2.or.ilagout.ge.2) print*
if(ieulout.ge.2) call eul_avg ()
if(ilagout.ge.2) then
   call lag_conc ()
   call lag_avg ()
endif
if(ieulout.ge.2.or.ilagout.ge.2) print*
print*,'houti:2'

! now calc ppm's - this is for parts - what about concs? - can be done 
! post process using rams fields - but then cannot do avgs... hmm

if(ilagran == 1)  call lag_ppm ()

! convert lag particles to concs and probs on rams grid
print*,'houti:3'

if(ilagout==1.or.ilagout==3) then
   call lag_conc ()
print*,'houti:3a'
   if(ilagprob==1)  call lag_prob ()
endif
print*,'houti:4'

! now output stuff

call hout ()
print*,'houti:5'

! reset the average arrays

if(ieulout.ge.2.or.ilagout.ge.2) call reset_avg()
print*,'houti:6'

if(ihyprun==1) then
   print*
   print*,' Source analysis run complete'
   print*
   print*,'------------------------------------------------------'
   stop
endif



return
end
