! I'd prefer these in rainit, but i want to be able to pass single
!  variables to array arguments.



!------------------------------------------------

subroutine ra_get_idata(nopt,ngr,idata,nval)

use ra_file_info

implicit none

integer :: nopt,nfl,ngr,idata(*),nval

nfl = finf(nset)%nfl

if(nopt == 0) then
   nval=6
   idata(1)=finf(nset)%finfo(nfl)%nnxp(ngr)
   idata(2)=finf(nset)%finfo(nfl)%nnyp(ngr)
   idata(3)=finf(nset)%finfo(nfl)%nnzp(ngr)
   idata(4)=finf(nset)%finfo(nfl)%nzg
   idata(5)=finf(nset)%finfo(nfl)%nzs
   idata(6)=finf(nset)%finfo(nfl)%npatch
elseif(nopt == 1 )then
   nval=1
   idata(1)=finf(nset)%finfo(nfl)%nfgrids
elseif(nopt == 2) then
   nval=1
   idata(1)=finf(nset)%finfo(nfl)%ifdate
elseif(nopt == 3) then
   nval=1
   idata(1)=finf(nset)%finfo(nfl)%iftime
elseif(nopt == 4) then
   nval=1
   idata(1)=finf(nset)%finfo(nfl)%nfiles
elseif(nopt == 5) then
   nval=1
   idata(1)=finf(nset)%finfo(nfl)%ihtranr
elseif(nopt == 6) then
   nval=1
   idata(1)=finf(nset)%finfo(nfl)%if_adapr
else
   print*,'ra_get_idata: bad option',nopt
   stop 'ra_get_idata'
endif

return
end

!------------------------------------------------

subroutine ra_get_fdata(nopt,ngr,fdata,nval)

use ra_file_info

implicit none

integer :: nopt,nfl,ngr,nval
real :: fdata(*)

nfl = finf(nset)%nfl

if(nopt == 0) then
   nval=finf(nset)%finfo(nfl)%nnzp(ngr)
   fdata(1:nval)=finf(nset)%finfo(nfl)%fzt(1:nval,ngr)
elseif(nopt == 1) then
   nval=1
   fdata(1)=finf(nset)%finfo(nfl)%ftime
elseif(nopt == 2) then
   nval=1
   fdata(1)=finf(nset)%finfo(nfl)%startutc
elseif(nopt == 3) then
   nval=1
   fdata(1)=finf(nset)%finfo(nfl)%httop
elseif(nopt == 4) then
   nval=1
   fdata(1)=finf(nset)%finfo(nfl)%fdelx(ngr)
elseif(nopt == 5) then
   nval=1
   fdata(1)=finf(nset)%finfo(nfl)%fdely(ngr)
elseif(nopt == 6) then
   nval=1
   fdata(1)=finf(nset)%finfo(nfl)%polelatn(ngr)
elseif(nopt == 7) then
   nval=1
   fdata(1)=finf(nset)%finfo(nfl)%polelonn(ngr)
elseif(nopt == 8) then
   nval=1
   fdata(1)=finf(nset)%finfo(nfl)%swx(ngr)
elseif(nopt == 9) then
   nval=1
   fdata(1)=finf(nset)%finfo(nfl)%swy(ngr)
elseif(nopt == 10) then
   nval=finf(nset)%finfo(nfl)%nnxp(ngr)
   fdata(1:nval)=finf(nset)%finfo(nfl)%fxt(1:nval,ngr)
elseif(nopt == 11) then
   nval=finf(nset)%finfo(nfl)%nnxp(ngr)
   fdata(1:nval)=finf(nset)%finfo(nfl)%fxm(1:nval,ngr)
elseif(nopt == 12) then
   nval=finf(nset)%finfo(nfl)%nnyp(ngr)
   fdata(1:nval)=finf(nset)%finfo(nfl)%fyt(1:nval,ngr)
elseif(nopt == 13) then
   nval=finf(nset)%finfo(nfl)%nnyp(ngr)
   fdata(1:nval)=finf(nset)%finfo(nfl)%fym(1:nval,ngr)
elseif(nopt == 14) then
   nval=finf(nset)%finfo(nfl)%nnzp(ngr)
   fdata(1:nval)=finf(nset)%finfo(nfl)%fzm(1:nval,ngr)
elseif(nopt == 15) then
   nval=finf(nset)%finfo(nfl)%nzg
   fdata(1:nval)=finf(nset)%finfo(nfl)%fslz(1:nval)
else
   print*,'ra_get_fdata: bad option',nopt
   stop 'ra_get_fdata'
endif

return
end

!------------------------------------------------

subroutine ra_get_cdata(nopt,cdata,nval)

use ra_file_info

implicit none

integer :: nopt,nfl,nval
character(len=*) :: cdata(*)

nfl = finf(nset)%nfl

if(nopt == 0) then
   nval=1
   cdata(1)=finf(nset)%finfo(nfl)%fname
elseif(nopt == 1) then
   cdata(1)=finf(nset)%finfo(nfl)%startdate
   nval=1
elseif(nopt == 2) then
   cdata(1)=finf(nset)%finfo(nfl)%exptname
   nval=1
else
   print*,'ra_get_cdata: bad option',nopt
   stop 'ra_get_cdata'
endif

return
end

!------------------------------------------------

subroutine ra_get_ldata(nopt,ngr,ldata,nval)

use ra_file_info

implicit none

integer :: nopt,ngr,nfl,nval
logical :: ldata(*)

nfl = finf(nset)%nfl

if(nopt == 0) then
   ldata(1)=finf(nset)%finfo(nfl)%exist(ngr)
   nval=1
else
   print*,'ra_get_ldata: bad option',nopt
   stop 'ra_get_ldata'
endif

return
end

!------------------------------------------------

subroutine ra_read_idata(sopt,ngr,idata,nval)

use ra_file_info

implicit none

character(len=*) :: sopt
integer :: nfl,ngr,idata(*),nval,ie,cio_i
integer, save :: iun=11

nfl = finf(nset)%nfl

open(iun, file=trim(finf(nset)%finfo(nfl)%fname))

   if(trim(sopt) == 'nxtnest') then
      ie=cio_i(iun,1,'nxtnest',idata,nval)
   elseif(trim(sopt) == 'nestz1') then
      ie=cio_i(iun,1,'nestz1',idata,nval)
   elseif(trim(sopt) == 'ninest') then
      ie=cio_i(iun,1,'ninest',idata,nval)
   elseif(trim(sopt) == 'njnest') then
      ie=cio_i(iun,1,'njnest',idata,nval)
   elseif(trim(sopt) == 'nknest') then
      ie=cio_i(iun,1,'nknest',idata,nval)
   elseif(trim(sopt) == 'nstratx') then
      ie=cio_i(iun,1,'nstratx',idata,nval)
   elseif(trim(sopt) == 'nstraty') then
      ie=cio_i(iun,1,'nstraty',idata,nval)
   elseif(trim(sopt) == 'nstratz1') then
      ie=cio_i(iun,1,'nstratz1',idata,nval)
   elseif(trim(sopt) == 'nnsttop') then
      ie=cio_i(iun,1,'nnsttop',idata,nval)
   elseif(trim(sopt) == 'nnstbot') then
      ie=cio_i(iun,1,'nnstbot',idata,nval)
   else
      print*,'ra_read_idata: bad option: ',sopt
      stop 'ra_read_idata'
   endif

close(iun)

return
end

!------------------------------------------------

subroutine ra_read_fdata(sopt,ngr,fdata,nval)

use ra_file_info

implicit none

character(len=*) :: sopt
integer :: nfl,ngr,nval,ie
real :: fdata(*),cio_f
character(len=2) :: cng
integer, save :: iun=11

nfl = finf(nset)%nfl

write(cng,'(i2.2)') ngr

open(iun, file=trim(finf(nset)%finfo(nfl)%fname))

   if(trim(sopt) == 'pwmas') then
      ie=cio_f(iun,1,'pwmas',fdata,nval)
   elseif(trim(sopt) == 'cfmas') then
      ie=cio_f(iun,1,'cfmas',fdata,nval)
   elseif(trim(sopt) == 'pi01d') then
      ie=cio_f(iun,1,'pi01dn'//cng,fdata,nval)
   elseif(trim(sopt) == 'th01d') then
      ie=cio_f(iun,1,'th01dn'//cng,fdata,nval)
   elseif(trim(sopt) == 'dzmn') then
      ie=cio_f(iun,1,'dzmn'//cng,fdata,nval)
   elseif(trim(sopt) == 'dztn') then
      ie=cio_f(iun,1,'dztn'//cng,fdata,nval)
   else
      print*,'ra_read_fdata: bad option: ',sopt
      stop 'ra_read_fdata'
   endif

close(iun)

return
end

!------------------------------------------------

subroutine ra_read_cdata(sopt,ngr,cdata,nval)

use ra_file_info

implicit none

character(len=*) :: sopt,cdata(*)
integer :: nfl,ngr,nval
integer, save :: iun=11

nfl = finf(nset)%nfl

open(iun, file=trim(finf(nset)%finfo(nfl)%fname))

   if(trim(sopt) == 'xx__xx') then
   else
      print*,'ra_read_cdata: bad option: ',sopt
      stop 'ra_read_cdata'
   endif

close(iun)

return
end

!---------------------------------------------------------

subroutine cio_pos_file(iun,cstr,ierr)
implicit none
integer :: iun,ierr
character(len=*) :: cstr
character(len=256) :: line,csearch

integer :: nl,nc,iend,ilen

!      print*,'cio_pos:',iun,cstr

iend=0
1    continue
do nl=1,1000000
   read(iun,10,end=100) line
10      format(a)
   ilen=len(cstr)
   csearch='__'//cstr(1:ilen)
   nc=index(line,csearch(1:ilen+2) )
!         print*,'cio_pos:',nl,nc,line
   if(nc == 1) then
      ierr=0
!            print*,'---- Name found on header file:',cstr
      return
   endif
enddo

100  continue
if(iend == 1) then
   ierr=1
   print*,'---- Name NOT found on header file:',cstr
   rewind(iun)
   return
endif
rewind(iun)
iend=1
goto 1

end

!---------------------------------------------------------

integer function cio_i(iun,irw,cstr,ia,n)
implicit none
integer :: iun,irw,n
integer ia(*)
character(len=*) :: cstr
character(len=256) :: string
integer :: nn,i

if (irw == 1) then
   call cio_pos_file (iun,cstr,cio_i)
   if(cio_i == 1) return
   read(iun,*) nn
   read(iun,*) (ia(i),i=1,nn)
elseif(irw == 2) then
   write(iun,20) cstr
20      format('__',a)
   write(iun,*) n
   write(iun,11) (ia(i),i=1,n)
11      format(i6)
   cio_i=0
endif

return
end

!---------------------------------------------------------

integer function cio_f(iun,irw,cstr,ia,n)
implicit none
integer :: iun,irw,n
real ia(*)
character(len=*) :: cstr
character(len=256) :: string
integer :: nn,i

if (irw == 1) then
   call cio_pos_file (iun,cstr,cio_f)
   if(cio_f == 1) return
   read(iun,*) nn
   read(iun,*) (ia(i),i=1,nn)
elseif(irw == 2) then
   write(iun,20) cstr
20      format('__',a)
   write(iun,*) n
   write(iun,11) (ia(i),i=1,n)
11      format(e16.8)
   cio_f=0
endif

return
end

!---------------------------------------------------------

integer function cio_f8(iun,irw,cstr,ia,n)
implicit none
integer :: iun,irw,n
real(kind=8) :: ia(*)
character(len=*) :: cstr
character(len=256) :: string
integer :: nn,i

if (irw == 1) then
   call cio_pos_file (iun,cstr,cio_f8)
   if(cio_f8 == 1) return
   read(iun,*) nn
   read(iun,*) (ia(i),i=1,nn)
elseif(irw == 2) then
   write(iun,20) cstr
20      format('__',a)
   write(iun,*) n
   write(iun,11) (ia(i),i=1,n)
11      format(e24.16)
   cio_f8=0
endif

return
end

!---------------------------------------------------------

integer function cio_c(iun,irw,cstr,ia,n)
implicit none
integer :: iun,irw,n
character(len=*) :: ia(*)
character(len=*) :: cstr
character(len=256) :: string
integer :: nn,i

if (irw == 1) then
   call cio_pos_file (iun,cstr,cio_c)
   if(cio_c == 1) return
   read(iun,*) nn
   read(iun,10) (ia(i),i=1,nn)
elseif(irw == 2) then
   write(iun,20) cstr
20      format('__',a)
   write(iun,*) n
   write(iun,10) (ia(i),i=1,n)
10      format(a)
   cio_c=0
endif

return
end
